﻿using Ant_Colony_Optimalization.Graph;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant_Colony_Optimalization.Ant.PheromoneActualization
{
    public class CDecreaseMultiply: IPheromoneDecrease
    {
        private double value;
        private double min;

        public CDecreaseMultiply(double value, double min)
        {
            this.value = value;
            this.min = min;
        }


        public void DecreasePheromone(Graph.CEdge[] edgeArray)
        {
            foreach (CEdge edge in edgeArray)
            {
                if (edge.Pheromone > this.min)
                {
                    edge.Pheromone = edge.Pheromone * this.value;
                }
            }
        }
    }
}
