﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Ant_Colony_Optimalization.Enum;

namespace Ant_Colony_Optimalization.UserControls
{
    public partial class UserControlMainMenu : UserControl
    {
        private FormMain mainForm;
        public UserControlMainMenu()
        {
            InitializeComponent();
        }

        private void UserControlMainMenu_Load(object sender, EventArgs e)
        {
            this.mainForm = (FormMain)this.Parent.Parent;
        }

        private void UserControlMainMenu_SizeChanged(object sender, EventArgs e)
        {
            Point point = new Point();
            point.Y = this.Height/4;
            point.X = 120;
            this.buttonTSP.Location = point;

            Point point2 = new Point();
            point2.Y = point.Y+ (point.Y/2)+this.buttonShortestPath.Height;
            point2.X = point.X;
            this.buttonShortestPath.Location = point2;

            Point point3 = new Point();
            point3.Y = point.Y + (this.buttonTSP.Height/2) -20 ;
            point3.X = point.X + this.buttonTSP.Width + 20;
            this.labelTSP.Location = point3;

            Point point4 = new Point();
            point4.Y = point2.Y + (this.buttonShortestPath.Height / 2) - 20;
            point4.X = point2.X + this.buttonShortestPath.Width + 20;
            this.labelShortesPath.Location = point4;
        }

        private void buttonTSP_Click(object sender, EventArgs e)
        {
            this.mainForm.ShowPanel(EProblemType.TSP);
        }

        private void buttonShortestPath_Click(object sender, EventArgs e)
        {
            this.mainForm.ShowPanel(EProblemType.ShortesPath);
        }


    }
}
