﻿using Ant_Colony_Optimalization_Parallel.Graph;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant_Colony_Optimalization_Parallel.Ant
{
    public class CIncreaseConstant : IPheromoneIncrease
    {
        private double value;

        public CIncreaseConstant(double value)
        {
            this.value = value;
        }
        public void IncreasePheromone(Graph.CEdge[] edgeArray)
        {
            foreach (CEdge edge in edgeArray)
            {
                if (edge.Pheromone < this.value)
                {
                    edge.Pheromone = this.value;
                }
            }
        }
    }
}
