﻿using Ant_Colony_Optimalization.Graph;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant_Colony_Optimalization.Graphic.Object
{

    public class CGraphicObjectHolder
    {
        public CNode[] NormalNodes { get; set; }
        public CEdge[] AllEdges { get; set; }
        public LinkedList<CEdgeLine> ResultEdges { get; set; }
        public LinkedList<CEdgeLine> PreviousResultEdges { get; set; }
        public LinkedList<CEdgeLine> PinkEdges { get; set; }
        public bool NodeHighlighted { get; set; }
        public LinkedList<CEdgeLine> AntWay { get; set; }
        public LinkedList<CNodePhoremoneStrenge> NodePheromoneStrenge { get; set; }

        public int PathRowCount { get; set; }
        public int PathColumnCount { get; set; }

        public CGraphicObjectHolder()
        {
            this.NormalNodes = new CNode[0];
            this.AllEdges = new CEdge[0];
            this.ResultEdges = new LinkedList<CEdgeLine>();
            this.PinkEdges = new LinkedList<CEdgeLine>();
            this.AntWay = new LinkedList<CEdgeLine>();
            this.NodePheromoneStrenge = new LinkedList<CNodePhoremoneStrenge>();
            this.PreviousResultEdges = new LinkedList<CEdgeLine>();
        }


    }


}
